Package org.apache.maven.scm.command.mkdir

## Class MkdirScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.mkdir.MkdirScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class MkdirScmResult
    extends ScmResult

Result of making directories in SCM.

Author:
  Maria Odea Ching
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`MkdirScmResult​(java.lang.String commandLine, java.lang.String revision)`
`MkdirScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`MkdirScmResult​(java.lang.String commandLine, java.util.List<ScmFile> createdDirs)`
`MkdirScmResult​(java.lang.String revision, ScmResult result)`
`MkdirScmResult​(java.util.List<ScmFile> createdDirs, ScmResult result)`
`MkdirScmResult​(ScmResult scmResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getCreatedDirs()`
`java.lang.String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MkdirScmResult

    public MkdirScmResult​(ScmResult scmResult)

#### MkdirScmResult

    public MkdirScmResult​(java.lang.String commandLine,
                          java.lang.String providerMessage,
                          java.lang.String commandOutput,
                          boolean success)

#### MkdirScmResult

    public MkdirScmResult​(java.lang.String commandLine,
                          java.lang.String revision)

#### MkdirScmResult

    public MkdirScmResult​(java.lang.String commandLine,
                          java.util.List<ScmFile> createdDirs)

#### MkdirScmResult

    public MkdirScmResult​(java.lang.String revision,
                          ScmResult result)

#### MkdirScmResult

    public MkdirScmResult​(java.util.List<ScmFile> createdDirs,
                          ScmResult result)

### Method Detail

#### getRevision

    public java.lang.String getRevision()

#### getCreatedDirs

    public java.util.List<ScmFile> getCreatedDirs()